# Profile.cpp File Reference

`#include "tao/Profile.h"`
`#include "tao/Messaging_PolicyValueC.h"`
`#include "tao/Stub.h"`
`#include "tao/debug.h"`
`#include "tao/target_specification.h"`
`#include "tao/ORB_Core.h"`
`#include "tao/Client_Strategy_Factory.h"`
`#include "tao/CDR.h"`
`#include "tao/SystemException.h"`
`#include "tao/PolicyC.h"`
`#include "ace/ACE.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/os_include/os_ctype.h"`

Include dependency graph for Profile.cpp:

## Functions

CORBA::Boolean | operator<< (TAO_OutputCDR &cdr, const TAO_opaque &x)
CORBA::Boolean | operator>> (TAO_InputCDR &cdr, TAO_opaque &x)

## Function Documentation

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | cdr,
|  | const TAO_opaque & | x
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | cdr,
|  | TAO_opaque & | x
| ) |